%define unmangled_name google-api-core

%define mangled_name python3-google-api-core
%define version 2.4.0
%define unmangled_version 2.4.0
%define release %{?build_number}%{?!build_number:1}%{?dist}

Summary: Google API client core library
Name: %{mangled_name}
Requires: python3-googleapis-common-protos < 2.0dev, python3-googleapis-common-protos >= 1.52.0, python3-protobuf >= 3.12.0, python3-google-auth < 3.0dev, python3-google-auth >= 1.25.0, python3-requests < 3.0.0dev, python3-requests >= 2.18.0, python3-setuptools >= 40.3.0
BuildRequires: python3-setuptools
Version: %{version}
Release: %{release}
Source0: %{unmangled_name}-%{unmangled_version}.tar.gz
License: Apache 2.0
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{unmangled_name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Google LLC <googleapis-packages@google.com>
Url: https://github.com/googleapis/python-api-core

%description
Core Library for Google Client Libraries
========================================

|pypi| |versions|

This library is not meant to stand-alone. Instead it defines
common helpers used by all Google API clients. For more information, see the
`documentation`_.

.. |pypi| image:: https://img.shields.io/pypi/v/google-api_core.svg
   :target: https://pypi.org/project/google-api_core/
.. |versions| image:: https://img.shields.io/pypi/pyversions/google-api_core.svg
   :target: https://pypi.org/project/google-api_core/
.. _documentation: https://googleapis.dev/python/google-api-core/latest


Supported Python Versions
-------------------------
Python >= 3.6


Unsupported Python Versions
---------------------------

Python == 2.7, Python == 3.5.

The last version of this library compatible with Python 2.7 and 3.5 is
`google-api_core==1.31.1`.


%prep
%setup -n %{unmangled_name}-%{unmangled_version} -n %{unmangled_name}-%{unmangled_version}

%build
python3 setup.py build

%install
python3 setup.py install  -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
